diff -ruN mgetty-1.1.28/voice/libvoice/Lucent.c mgetty-1.1.28-Zoom2949/voice/libvoice/Lucent.c
--- mgetty-1.1.28/voice/libvoice/Lucent.c	Fri Apr 13 07:01:44 2001
+++ mgetty-1.1.28-Zoom2949/voice/libvoice/Lucent.c	Sat Nov 16 14:18:05 2002
@@ -213,6 +213,15 @@
      return(OK);
      }
 
+int Lucent_handle_dle(char data)
+{
+  switch(data) {
+  case 's':
+    return(queue_event(create_event(SILENCE_DETECTED)));
+  default:
+    return IS_101_handle_dle(data);
+  }
+}
 
 const char Lucent_beep_cmnd[] = "AT+VTS=[%d,%d,%d]";
 
@@ -251,7 +260,7 @@
      &IS_101_answer_phone,
      &Lucent_beep,
      &IS_101_dial,
-     &IS_101_handle_dle,
+     &Lucent_handle_dle,
      &Lucent_init,
      &IS_101_message_light_off,
      &IS_101_message_light_on,
diff -ruN mgetty-1.1.28/voice/libvoice/detect.c mgetty-1.1.28-Zoom2949/voice/libvoice/detect.c
--- mgetty-1.1.28/voice/libvoice/detect.c	Sat Dec 22 17:52:30 2001
+++ mgetty-1.1.28-Zoom2949/voice/libvoice/detect.c	Sat Nov 16 14:19:54 2002
@@ -85,6 +85,7 @@
      {ati, "28643",                NULL,   &ZyXEL_2864},
      {ati, "Venus V.90 USB U052099a", NULL, &Lucent},
      {ati, "Zoom V.90 PCI I030100gV -H Z207",NULL, &Lucent},
+     {ati, "Zoom V.90 Serial s052099g -I Z207",NULL, &Lucent},
      {ati, "28800",                ati6, NULL},
      {ati, "2886",                 NULL,   &US_Robotics},
      {ati, "336",                  NULL,   &Rockwell},
